#include <bits/stdc++.h>

using namespace std;

#include <bits/stdc++.h>

using namespace std;

std::vector<int> solve(std::vector<int> A)
{
    vector<int> res;
    for(int i=0;i<A.size()-1;i++)
    {
        if(i==A.size()/2-1)
        {
            res.push_back(A.size()-1);
        }
        res.push_back(i);
    }
    return res;
}
